<!DOCTYPE html> 
    <html> 
        <head> 
        <title>CRUD Using Kendo</title>
            <link href="css/kendo.silver.min.css" rel="stylesheet"> 
            <link href="css/kendo.common.min.css" rel="stylesheet">
            <script src="http://cdn.kendostatic.com/2012.2.710/js/jquery.min.js"></script>
            <script src="http://cdn.kendostatic.com/2012.2.710/js/kendo.all.min.js"></script>
            
        </head>



<body> 

    <div id="grid"></div> 
    

<script type="text/x-kendo-template" id="template">

    <div class="subgrid"></div>

</script>



    <script>
		var del = "employee.php?";
        $(function() {
            $("#grid").kendoGrid({
		
                dataSource: {
                    transport: {
                        read: "employee.php",
            update: {
                url: "employee.php",
                type: "POST"
            },
			destroy: {
				url: "destroy.php",
				type: "POST"
			},
			create: {
				url: "create.php",
				type: "POST"
				}
                    },

					
					error: function(e) {
						alert(e.responseText);
					},
					schema: {
                        data: "data",
						total: "data.length",
						model:{
							id:"pk_id",
							
							fields:{
								FirstName: { editable: true },
                    LastName: { validation: { required: true} },
					image:{type: "string"}
								}
							}
                    }
					
				 },
				pageable:{
							refresh:true,
							pageSize:1
							}    ,
                columns: [{ field: "FirstName",width: "100px" }, { field: "LastName",width: "50px" },{ command: [{text:"Edit", name:"edit"}, {text:"Delete", name:"destroy"}], title: " ", width: "110px" }],
				width: 510,
				toolbar: ["create"],
				detailTemplate: kendo.template($("#template").html()),
                detailInit: detailInit,
                editable: "inline",
				height: 600,
                        filterable: true,
                        sortable: true
						                     
             
            });
        });




function detailInit(e) {
    // get a reference to the current row being initialized 
    var detailRow = e.detailRow;

    // create a subgrid for the current detail row, getting territory data for this employee

    detailRow.find(".subgrid").kendoGrid({
        dataSource: {
            transport: {
                 read: "terretories.php"
            },
            schema: {
                data: "data"
            },

            serverFiltering: true,
            filter: { field: "pk_id", operator: "eq", value:e.data.pk_id}
       },

       columns: [{ title: "Title", field: "title" },{ title: "Age", field: "age" },{ command: "destroy" }],

    });
}
    </script> 

</body>


</html>
